Bug 1566524 - vmx parser cannot import more than 4 NICs [rhel-7.5.z]
Summary: vmx parser cannot import more than 4 NICs [rhel-7.5.z]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: libvirt
Version: 7.5
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: rc
: ---
Assignee: Pino Toscano
QA Contact: kuwei@redhat.com
URL:
Whiteboard:
Depends On: 1560917
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-12 13:10 UTC by Oneata Mircea Teodor
Modified: 2018-05-14 16:13 UTC (History)
14 users (show)

Fixed In Version: libvirt-3.9.0-14.el7_5.4
Doc Type: Bug Fix
Doc Text:
The VMX parser in libvirt did not parse more than four network interfaces. As a consequence, the esx driver did not expose more than four network interface cards (NICs) for guests running ESXi. With this update, the VMX parser parses all the available NICs in .vmx files. As a result, libvirt reports all the NICs of guests running ESXi.
Clone Of: 1560917
Environment:
Last Closed: 2018-05-14 16:11:44 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:1396 None None None 2018-05-14 16:13:02 UTC

Description Oneata Mircea Teodor 2018-04-12 13:10:50 UTC
This bug has been copied from bug #1560917 and has been proposed to be backported to 7.5 z-stream (EUS).

Comment 6 kuwei@redhat.com 2018-04-24 11:09:12 UTC
Try to verify the bug with below builds:
libvirt-3.9.0-14.el7_5.4.x86_64
virt-v2v-1.36.10-6.el7_5.2.x86_64
qemu-kvm-rhev-2.10.0-21.el7_5.2.x86_64

Test steps:
Scenario 1:
1.Prepare a rhel7.4 guest on ESXi 6.5 with 10 NIC.
2.Using virsh dumpxm the guest xml.
#virsh -c vpx://root@vcenter/data/ESXi/?no_verify=1
virsh # dumpxml esx6.5-rhel7.4-x64-vmware-tools
..................
 <interface type='bridge'>
      <mac address='00:50:56:a2:fc:be'/>
      <source bridge='VM Network'/>
      <model type='vmxnet3'/>
    </interface>
 .................
    <interface type='bridge'>
      <mac address='00:50:56:a2:6e:0e'/>
      <source bridge='VM Network'/>
      <model type='e1000e'/>
.......................
3.Using virt-v2v to convert the guest to kvm and RHV

4.From Steps 2, all the NIC could be list, from steps 3, the guest could converted by virt-v2v and all the NIC could list.

Scenario 2:
1.Prepare a rhel7.4 guest on ESXi 6.0/5.5/5.1 with 10 NIC.
2.Using virsh dumpxml the guest xml.
3.Using virt-v2v to convert the guest to kvm and RHV

4.From Steps 2, all the NIC could be list, from steps 3, the guest could converted by virt-v2v and all the NIC could list.


Scenario 3:
1.Prepare a rhel7.4 guest on ESXi 6.5 with 10 NIC(5 e1000, 5 VMXNET3).
2.Using virsh dumpxml the guest xml.
3.Using virt-v2v to convert the guest to kvm and RHV

4.From Steps 2, all the NIC could be list, from steps 3, the guest could converted and all the NIC could list.

Scenario 3:
1.Prepare a windows10 guest on ESXi 6.5 with 10 NIC(5 e1000, 5 VMXNET3).
2.Using virsh dumpxml the guest xml.
3.Using virt-v2v to convert the guest to kvm and RHV

4.From Steps 2, all the NIC could be list, from steps 3, the guest could converted and all the NIC could list.

So, I think the bug has been fix, move the bug to VERIFIED

Comment 9 errata-xmlrpc 2018-05-14 16:11:44 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:1396


Note You need to log in before you can comment on or make changes to this bug.